Upload Patients
The Beneficiary FHIR Data Server (BFD) maintains a list of fictitious patients that match synthetic sandbox data.
Minimum patient requirements
Include the following to avoid a 422 - Unprocessable Entity error.
- First and last name
- Birth date in YYYY-MM-DD format
- Gender
- DPC uses the
Patient.genderproperty to represent the sex of the patient as maintained on record at CMS. When registering a patient to your organization, you’ll need to submit thePatient.genderproperty following the corresponding value set. The input provided may be used by DPC to match and validate the patient against CMS records.
- DPC uses the
- Medicare Beneficiary Identifier (MBI)
- Medicare Beneficiary Identifier, an 11-character code assigned to all Medicare beneficiaries.
Note: If an existing patient is found with the same MBI, the /Patient endpoint will return that same patient.
Add a patient bundle
The $submit operation lets you upload a bundle of patients for registration in a single batch using the /Patient endpoint.
Example request
POST /api/v1/Patient/$submitExample cURL command
curl 'https://sandbox.dpc.cms.gov/api/v1/Patient/$submit' \
-H "Authorization: Bearer $BEARER_TOKEN" \
-H 'Accept: application/fhir+json' \
-H 'Content-Type: application/fhir+json' \
-d @patient_bundle.json